BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 06-16-2008, 05:40 PM   #1 (permalink)
New Member
 
Join Date: Aug 2007
Model: 8130
PIN: N/A
Carrier: Verizon
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default How to update mapi32.dll only on BES?

Please Login to Remove!

I have following dlls -

BES

mapi32.dll - 6.0.6249.0
cdo.dll - 6.0.6617.47

Exchange 2000

mapi32.dll - 6.0.6617.47
cdo.dll - 6.0.6617.47

I have tried to apply update rollups for Exchange for KB840540 and KB836488. Both error with message that they can be applied to Exchange 2000 Build 4417 only. How do I update my mapi32.dll so it matches all the others?
Offline  
Old 06-16-2008, 07:39 PM   #2 (permalink)
BlackBerry Genius
 
hdawg's Avatar
 
Join Date: Aug 2006
Model: hdawg
PIN: port3101.org
Carrier: hdawg
Posts: 6,631
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Welcome to the forums ...

If your OS on your BES is indicating that it cannot install the patch because it isn't appropriate for the version of software installed, then it can't be installed.

You could use regsvr32 to unregister the mapi32.dll, copy it over from the Exchange server, overwrite the dll, and then re-register it on your BES.

More importantly though ... were you able to apply this patch to Exchange and not BES?

Even more importantly ... time to upgrade; Exchange 2000 is past its time.
Offline  
Old 06-17-2008, 05:35 AM   #3 (permalink)
Ugg
Thumbs Must Hurt
 
Join Date: Dec 2006
Model: 8310
OS: 4.5
Carrier: O2
Posts: 197
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

The version numbers that you're seeing on an Exchange 2000 BES match what I saw the last time I did a BES / Exchange 2000 upgrade. I think that it's a foible of the updates available from Microsoft for various Exchange components that leaves you with a lower MAPI32.DLL version on the BES.

Is something not working that suggests that you need to do a further update?
Offline  
Old 06-24-2008, 11:02 AM   #4 (permalink)
New Member
 
Join Date: Aug 2007
Model: 8130
PIN: N/A
Carrier: Verizon
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Thanks for the info hdawg. We are in the process of planning an upgrade to Exchange 2007. No issues with doing a manual copy and registration of mapi32.dll?

Ugg, I just attended BES training and the trainer stressed the importance of all dll's matching between BES and Exchange server.

Thanks both.
Offline  
Old 06-24-2008, 08:52 PM   #5 (permalink)
BlackBerry Genius
 
hdawg's Avatar
 
Join Date: Aug 2006
Model: hdawg
PIN: port3101.org
Carrier: hdawg
Posts: 6,631
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by coconinocounty View Post
Thanks for the info hdawg. We are in the process of planning an upgrade to Exchange 2007. No issues with doing a manual copy and registration of mapi32.dll?

Ugg, I just attended BES training and the trainer stressed the importance of all dll's matching between BES and Exchange server.

Thanks both.
Everyone says it works ... I've never once manually registered dll's.
Offline  
Old 06-24-2008, 09:50 PM   #6 (permalink)
BlackBerry Extraordinaire
 
gibson_hg's Avatar
 
Join Date: Dec 2007
Model: NA
PIN: 80081ES
Carrier: NA
Posts: 1,006
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I would not move MAPI32.dll manually.

I had a call from people managing 2 BES for Homeland Security and it fubared both of them. They proceeded to blame a RIM KB but failed to provide us the KB number, dumbasses! You will end up removing ESM and re-installing it to get MAPI working. Save yourself the headache and find the correct updates, start with installing SP3 if you haven't and the apply the SP3 rollups.

Keep in mind that MAPI is a subsystem and consists of more than MAPI32.dll, other files also update.

As far as I know Exchange 2000 goes as high as SP3 then there are rollups rather than SP's.

Let us know what you find.
Offline  
Old 07-11-2008, 10:46 AM   #7 (permalink)
New Member
 
Join Date: Aug 2007
Model: 8130
PIN: N/A
Carrier: Verizon
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Thanks gibson. Now I have a really dumb question. I have my Exchange 2000 tools installed on a Windows 2003 server. The Exchange install and the SP3 install barked at me but let me go through. Tried to install a rollup and had no luck. Think this is a function of running Exchange 2K on unsupported OS?
Offline  
Old 07-11-2008, 10:49 AM   #8 (permalink)
BlackBerry Genius
 
hdawg's Avatar
 
Join Date: Aug 2006
Model: hdawg
PIN: port3101.org
Carrier: hdawg
Posts: 6,631
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

you're better off removing the Exchange 2000 tools and installing the 2003 SP2 tools ...
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.